"equals-methods" {rflowcyt} | R Documentation

## Checks equality of two "FCS-class" objects

### Description

All the contents in the metadata and data portions of two input FCS objects are compared for equality. By default, the filename and objectname slots in the metadata are not compared. A boolean value is output specifying the status of the check on equality.

### Methods

x = "FCS", y = "FCS"
  boolean value is output; if TRUE then the two FCS objects are the same, if FALSE then the two FCS objects are different.

  Additional input signature options include:

check.filename
  boolean; if TRUE then the original filenames in the metadata are compared and checked; default is FALSE
check.objectname
  boolean; if TRUE, then the current object names in the metadata are compared and checked; default is FALSE

[Package rflowcyt version 1.4.0 Index]